This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 10685 - S10network parses ifcfg-XXXX incorrectly
S10network parses ifcfg-XXXX incorrectly
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-09 13:56 EDT by rob
Modified: 2014-03-16 22:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-13 15:13:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fixed S10network script (5.00 KB, text/plain)
2000-04-09 13:56 EDT, rob
no flags Details

  None (edit)
Description rob 2000-04-09 13:56:24 EDT
The rc3.d/S10network script incorrectly fails to ignore commented
lines in ifcfg-XXXX when searching for devices to be activated on
boot. A corrected version of the script is attached.
Comment 1 Anonymous 2000-04-09 13:56:59 EDT
Created attachment 188 [details]
Fixed S10network script
Comment 2 Bill Nottingham 2000-04-10 10:45:59 EDT
Thanks; will be fixed in 5.07-1.
Comment 3 Bill Nottingham 2000-04-13 15:13:59 EDT
Forget I said that. The behavior has always been that
the interface will be brought up *unless* ONBOOT is
set to 'no'; hence, commenting out the line has no effect.

Note You need to log in before you can comment on or make changes to this bug.